org.eclipse.eef.properties.ui.internal.page.propertylist

## Class EEFPropertyListFocusListener

- java.lang.Object
- - org.eclipse.eef.properties.ui.internal.page.propertylist.EEFPropertyListFocusListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.FocusListener, org.eclipse.swt.internal.SWTEventListener

    public class EEFPropertyListFocusListener
    extends java.lang.Object
    implements org.eclipse.swt.events.FocusListener

The focus listener of the `EEFTabbedPropertyList`.

### Constructor Summary

Constructors
Constructor and Description
`EEFPropertyListFocusListener(EEFTabbedPropertyList tabbedPropertyList)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `focusGained(org.eclipse.swt.events.FocusEvent event)`
`void` `focusLost(org.eclipse.swt.events.FocusEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.events.FocusListener

`focusGainedAdapter, focusLostAdapter`

### Constructor Detail

#### EEFPropertyListFocusListener

    public EEFPropertyListFocusListener(EEFTabbedPropertyList tabbedPropertyList)

The constructor.

Parameters:
  `tabbedPropertyList` - The tabbed property list

### Method Detail

#### focusGained

    public void focusGained(org.eclipse.swt.events.FocusEvent event)

Specified by:
  `focusGained` in interface `org.eclipse.swt.events.FocusListener`
See Also:
  `FocusListener.focusGained(org.eclipse.swt.events.FocusEvent)`

#### focusLost

    public void focusLost(org.eclipse.swt.events.FocusEvent event)

Specified by:
  `focusLost` in interface `org.eclipse.swt.events.FocusListener`
See Also:
  `FocusListener.focusLost(org.eclipse.swt.events.FocusEvent)`